Package com.google.android.exoplayer2.testutil

## Class FakeAdaptiveDataSet.Iterator

- java.lang.Object
- - com.google.android.exoplayer2.source.chunk.BaseMediaChunkIterator
  - - com.google.android.exoplayer2.testutil.FakeAdaptiveDataSet.Iterator

- All Implemented Interfaces:
    `MediaChunkIterator`
  Enclosing class:
    FakeAdaptiveDataSet

      public static final class FakeAdaptiveDataSet.Iterator
      extends BaseMediaChunkIterator

  `MediaChunkIterator` for the chunks defined by a fake adaptive data set.

- - ### Field Summary

    - ### Fields inherited from interface com.google.android.exoplayer2.source.chunk.MediaChunkIterator

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Iterator​(FakeAdaptiveDataSet dataSet, int trackGroupIndex, int chunkIndex)` | Create iterator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getChunkEndTimeUs()` | Returns the media end time of the chunk, in microseconds.
    `long` | `getChunkStartTimeUs()` | Returns the media start time of the chunk, in microseconds.
    `DataSpec` | `getDataSpec()` | Returns the `DataSpec` used to load the media chunk.

    - ### Methods inherited from class com.google.android.exoplayer2.source.chunk.BaseMediaChunkIterator

      `checkInBounds, getCurrentIndex, isEnded, next, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Iterator

          public Iterator​(FakeAdaptiveDataSet dataSet,
                          int trackGroupIndex,
                          int chunkIndex)

      Create iterator.
      Parameters:
        `dataSet` - The data set to iterate over.
        `trackGroupIndex` - The index of the track group to iterate over.
        `chunkIndex` - The chunk index to which the iterator points initially.

  - ### Method Detail

    - #### getDataSpec

          public DataSpec getDataSpec()

      Description copied from interface: `MediaChunkIterator`
      Returns the `DataSpec` used to load the media chunk.

    - #### getChunkStartTimeUs

          public long getChunkStartTimeUs()

      Description copied from interface: `MediaChunkIterator`
      Returns the media start time of the chunk, in microseconds.

    - #### getChunkEndTimeUs

          public long getChunkEndTimeUs()

      Description copied from interface: `MediaChunkIterator`
      Returns the media end time of the chunk, in microseconds.